[GRASS-dev] Re: [GRASS GIS] #58: v.digit relies upon non-portable hacks

GRASS GIS trac at osgeo.org
Mon Feb 25 01:41:13 EST 2008

#58: v.digit relies upon non-portable hacks
  Reporter:  marisn    |       Owner:  martinl       
      Type:  defect    |      Status:  assigned      
  Priority:  critical  |   Milestone:  6.3.0         
 Component:  default   |     Version:  6.3.0 RCs     
Resolution:            |    Keywords:  wxGUI, v.digit
Changes (by glynn):

  * summary:  v.digit fails to build on Gentoo => v.digit relies upon non-
              portable hacks


 Replying to [comment:5 kyngchaos]:

 > Extensions to libraries and programs, such as Python, PHP, Apache, ...,
 are built as modules on OSX.  So, _gdi_.so can't be linked as a library,
 and you get missing symbols errors.

 In that case, use of wxPseudoDC must be eliminated from the vdigit module.

Ticket URL: <http://trac.osgeo.org/grass/ticket/58#comment:6>
GRASS GIS <http://grass.osgeo.org>
GRASS Geographic Information System (GRASS GIS) - http://grass.osgeo.org/

More information about the grass-dev mailing list